/// <reference types="react" />
declare type Item = {
    name: string;
    url: string;
    /**
     * If you use an svg image that does not have a fill,
     * the fill will be set to the current font color,
     * depending on the dark mode being active.
     */
    logoUrl?: string;
};
export declare type GitLandingFooterProps = {
    leftItems: Item[];
    rightItems: Item[];
    licence: string;
    background?: {
        type: "image" | "color";
        colorOrUrlDark: string;
        colorOrUrlLight: string;
    };
    className?: string;
};
export declare const GitLandingFooter: import("react").MemoExoticComponent<(props: GitLandingFooterProps) => JSX.Element>;
export {};
