"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GitLandingHeader = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
/* eslint-disable @typescript-eslint/no-namespace */
/* eslint-disable @typescript-eslint/ban-types */
var TopBar_1 = require("./components/TopBar");
var theme_1 = require("./theme");
var Typography_1 = require("onyxia-ui/Typography");
var Image_1 = require("./components/Image");
var tss_react_1 = require("tss-react");
var react_1 = require("react");
var react_markdown_1 = __importDefault(require("react-markdown"));
var DownArrow_1 = require("./components/DownArrow");
var Link_1 = __importDefault(require("@material-ui/core/Link"));
var useClassNames = theme_1.createUseClassNames()(function (theme, _a) {
    var background = _a.background;
    return ({
        "root": {
            "position": "relative",
            "width": "100vw",
            "display": "flex",
            "flexDirection": "column",
            "alignItems": "center",
            "& p": {
                "margin": 0,
            },
        },
        "presentation": {
            "display": "flex",
            "width": "100%",
            "boxSizing": "border-box",
            "alignItems": "center",
            "justifyContent": "center",
            "paddingTop": 100,
        },
        "presentationText": {
            "position": "relative",
            "left": 160,
            "bottom": 70,
            "textAlign": "left",
            "width": 994,
            "zIndex": 1,
            "& h1": {
                "fontSize": "86px",
                "marginBottom": 32,
            },
            "& h3": {
                "width": 848,
                "fontWeight": 400,
                "lineHeight": "40px",
            },
        },
        "image": {
            "position": "relative",
            "right": 100,
            "borderRadius": "5px",
            "width": 900,
        },
        "backgroundDiv": {
            "background": (function () {
                if (background === undefined) {
                    return undefined;
                }
                if (background.type === "color") {
                    return theme.isDarkModeEnabled ? background.backgroundColor : background.backgroundColor;
                }
                return "\n                    url(\"" + (theme.isDarkModeEnabled ? background.imageUrl : background.imageUrl) + "\")\n                ";
            })(),
            "backgroundRepeat": "no-repeat",
            "backgroundSize": "cover",
            "backgroundPosition": "center",
            "width": "100%",
            "height": "100%",
            "position": "absolute",
            "top": 0,
            "left": 0,
            "zIndex": -1,
            "filter": theme.isDarkModeEnabled ? "brightness(0.8)" : undefined,
        },
        "button": {
            "color": theme.isDarkModeEnabled ? "white" : "black",
            "margin": 15,
        },
        "buttonWrapper": {
            "marginTop": 30,
            "marginBottom": 30,
            "maxWidth": 650,
        },
        "linkToNextSection": {
            "display": "flex",
            "flexDirection": "column",
            "alignItems": "center",
            "marginTop": theme.spacing(17),
            "& h3": {
                "fontWeight": 400,
                "marginBottom": 21,
            },
        },
    });
}).useClassNames;
exports.GitLandingHeader = react_1.memo(function (props) {
    var image = props.image, titleMd = props.titleMd, subTitleMd = props.subTitleMd, background = props.background, topBarProps = props.topBarProps, className = props.className, linkToNextSection = props.linkToNextSection;
    var classNames = useClassNames({ background: background }).classNames;
    return (jsx_runtime_1.jsxs("header", __assign({ className: tss_react_1.cx(classNames.root, className) }, { children: [jsx_runtime_1.jsx("div", { className: classNames.backgroundDiv }, void 0),
            topBarProps !== undefined && jsx_runtime_1.jsx(TopBar_1.TopBar, __assign({}, topBarProps), void 0),
            jsx_runtime_1.jsxs("div", __assign({ className: classNames.presentation }, { children: [jsx_runtime_1.jsxs("div", __assign({ className: classNames.presentationText }, { children: [titleMd && (jsx_runtime_1.jsx(Typography_1.Typography, __assign({ variant: "h1" }, { children: jsx_runtime_1.jsx(react_markdown_1.default, { children: titleMd }, void 0) }), void 0)),
                            subTitleMd && (jsx_runtime_1.jsx(Typography_1.Typography, __assign({ variant: "h3" }, { children: jsx_runtime_1.jsx(react_markdown_1.default, { children: subTitleMd }, void 0) }), void 0))] }), void 0),
                    image !== undefined && (jsx_runtime_1.jsx(Image_1.Image, { className: tss_react_1.cx(classNames.image, image.className), url: image.url, alt: image.alt }, void 0))] }), void 0),
            linkToNextSection && (jsx_runtime_1.jsxs("div", __assign({ className: classNames.linkToNextSection }, { children: [jsx_runtime_1.jsx(Typography_1.Typography, __assign({ variant: "h3" }, { children: jsx_runtime_1.jsx(react_markdown_1.default, { children: linkToNextSection.title }, void 0) }), void 0),
                    jsx_runtime_1.jsx(Link_1.default, __assign({ href: linkToNextSection.href }, { children: jsx_runtime_1.jsx(DownArrow_1.DownArrow, {}, void 0) }), void 0)] }), void 0))] }), void 0));
});
//# sourceMappingURL=GitLandingHeader.js.map