"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Section = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
/* eslint-disable @typescript-eslint/no-namespace */
var Typography_1 = require("onyxia-ui/Typography");
var theme_1 = require("../theme");
var react_markdown_1 = __importDefault(require("react-markdown"));
var Image_1 = require("./Image");
var react_1 = require("react");
var tss_react_1 = require("tss-react");
var Code_1 = require("./Code");
var Button_1 = require("./Button");
var ThumbNails_1 = require("./ThumbNails");
var useClassNames = theme_1.createUseClassNames()(function (theme, _a) {
    var _b, _c;
    var hasIllustration = _a.hasIllustration, isRowReverse = _a.isRowReverse;
    return ({
        "root": {
            "position": "relative",
            "marginTop": theme.spacing(17),
        },
        "title": {
            "fontSize": "40px",
            "textAlign": "center",
            "marginBottom": theme.spacing(7.5),
        },
        "articleAndImageWrapper": {
            "display": "flex",
            "flexDirection": isRowReverse ? "row-reverse" : "row",
            "justifyContent": "center",
            "alignItems": "center",
        },
        "article": (_b = {
                "display": "flex",
                "flexDirection": "column",
                "width": hasIllustration ? 412 : 600,
                "textAlign": hasIllustration ? "unset" : "center"
            },
            _b[isRowReverse ? "marginLeft" : "marginRight"] = theme.spacing(16),
            _b["& h2"] = {
                "marginBottom": 14,
            },
            _b["& p"] = {
                "fontSize": theme.typography.body1.fontSize,
                "lineHeight": "24px",
                "marginTop": 14,
                "marginBottom": 14,
            },
            _b),
        "illustration": (_c = {
                "width": 900
            },
            _c[isRowReverse ? "marginRight" : "marginLeft"] = theme.spacing(16),
            _c),
        "button": {
            "color": "unset !important",
            "backgroundColor": "unset !important",
            "borderColor": "unset !important",
            "alignSelf": "right",
        },
    });
}).useClassNames;
exports.Section = react_1.memo(function (props) {
    var _a, _b, _c, _d, _e, _f, _g;
    var article = props.article, illustration = props.illustration, isRowReverse = props.isRowReverse, className = props.className, thumbNails = props.thumbNails, title = props.title;
    var classNames = useClassNames({
        isRowReverse: isRowReverse,
        "hasIllustration": illustration !== undefined,
    }).classNames;
    return (jsx_runtime_1.jsxs("section", __assign({ className: tss_react_1.cx(classNames.root, className) }, { children: [title && (jsx_runtime_1.jsx(Typography_1.Typography, __assign({ className: classNames.title, variant: "h2" }, { children: title }), void 0)),
            thumbNails && jsx_runtime_1.jsx(ThumbNails_1.ThumbNails, __assign({}, thumbNails), void 0),
            jsx_runtime_1.jsxs("div", __assign({ className: classNames.articleAndImageWrapper }, { children: [article && (jsx_runtime_1.jsxs("div", __assign({ className: classNames.article }, { children: [jsx_runtime_1.jsx(Typography_1.Typography, __assign({ variant: "h2" }, { children: article.title }), void 0),
                            jsx_runtime_1.jsx(react_markdown_1.default, { children: article.paragraphMd }, void 0),
                            article.button && (jsx_runtime_1.jsx("div", __assign({ className: tss_react_1.cx(tss_react_1.css({
                                    "display": "flex",
                                    "justifyContent": "flex-end",
                                    "marginTop": 14,
                                }), article.button.className) }, { children: jsx_runtime_1.jsx(Button_1.Button, __assign({ className: classNames.button, type: "submit", href: article.button.href }, { children: article.button.title }), void 0) }), void 0))] }), void 0)),
                    illustration &&
                        (illustration.type === "image" ? (jsx_runtime_1.jsx(Image_1.Image, { url: (_a = illustration.imageProps) === null || _a === void 0 ? void 0 : _a.url, alt: (_b = illustration.imageProps) === null || _b === void 0 ? void 0 : _b.alt, className: tss_react_1.cx(classNames.illustration, (_c = illustration.imageProps) === null || _c === void 0 ? void 0 : _c.className) }, void 0)) : (jsx_runtime_1.jsx(Code_1.Code, { text: (_d = illustration.codeProps) === null || _d === void 0 ? void 0 : _d.text, language: (_e = illustration.codeProps) === null || _e === void 0 ? void 0 : _e.language, showLineNumbers: (_f = illustration.codeProps) === null || _f === void 0 ? void 0 : _f.showLineNumbers, className: tss_react_1.cx(classNames.illustration, (_g = illustration.codeProps) === null || _g === void 0 ? void 0 : _g.className) }, void 0)))] }), void 0)] }), void 0));
});
//# sourceMappingURL=Section.js.map