/// <reference types="react" />
declare namespace Title {
    type Logo = {
        type: "logo";
        logoUrl: string;
    };
    type Markdown = {
        type: "markdown";
        markdown: string;
    };
}
export declare type Props = {
    /**
     * If you use an svg image that does not have a fill,
     * the fill will be set to the current font color,
     * depending on the dark mode being active.
     */
    title?: Title.Logo | Title.Markdown;
    menuItems?: {
        name: string;
        url: string;
    }[];
    className?: string;
};
export declare function TopBar(props: Props): JSX.Element;
export {};
