"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TopBar = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
/* eslint-disable @typescript-eslint/no-namespace */
/* eslint-disable @typescript-eslint/no-explicit-any */
var List_1 = __importDefault(require("@material-ui/core/List"));
var Link_1 = __importDefault(require("@material-ui/core/Link"));
var theme_1 = require("../theme");
var useNamedState_1 = require("powerhooks/useNamedState");
var useConstCallback_1 = require("powerhooks/useConstCallback");
var tss_react_1 = require("tss-react");
var useClickAway_1 = require("powerhooks/useClickAway");
var react_1 = require("react");
var Logo_1 = require("./Logo");
var react_markdown_1 = __importDefault(require("react-markdown"));
var Typography_1 = require("onyxia-ui/Typography");
var evt_1 = require("evt");
var hooks_1 = require("evt/hooks");
var theme_2 = require("../theme");
function getSmallDeviceBreakPoint(params) {
    var menuRef = params.menuRef, titleRef = params.titleRef;
    var out = function () {
        var menuWidth = !menuRef.current ? 0 : menuRef.current.clientWidth;
        var titleWidth = !titleRef.current ? 0 : titleRef.current.clientWidth;
        return menuWidth + titleWidth + 200;
    };
    return out();
}
var useClassNames = theme_1.createUseClassNames()(function (theme, _a) {
    var _b, _c, _d;
    var mobileMenuHeight = _a.mobileMenuHeight, smallDeviceBreakPoint = _a.smallDeviceBreakPoint;
    return ({
        "root": {
            "display": "flex",
            "justifyContent": "flex-end",
            "flexWrap": "wrap",
            "alignItems": "center",
            "width": "100%",
            "padding": "36px 100px 36px 100px",
        },
        "title": {
            "display": "flex",
            "alignItems": "center",
            "marginRight": "auto",
            "& svg": {
                "height": 50,
                "width": 50,
            },
        },
        "itemWrapper": (_b = {},
            _b["@media (max-width: " + smallDeviceBreakPoint + "px)"] = {
                "transition": "height 400ms",
                "order": 3,
                "flex": "1 0 100%",
                "textAlign": "left",
                "marginTop": 20,
                "height": mobileMenuHeight,
                "overflow": "hidden",
                "display": "flex",
                "flexDirection": "column",
            },
            _b),
        "link": (_c = {
                "color": theme.isDarkModeEnabled ? "white" : "black",
                "fontSize": "22px",
                "lineHeight": "32px",
                "marginLeft": theme.spacing(8)
            },
            _c["@media (max-width: " + smallDeviceBreakPoint + "px)"] = {
                "margin": "5px 0 5px 0",
            },
            _c),
        "unfold": (_d = {
                "order": 2,
                "marginLeft": 10,
                "display": "none",
                "cursor": "pointer"
            },
            _d["@media (max-width: " + smallDeviceBreakPoint + "px)"] = {
                "display": "flex",
                "alignItems": "center",
            },
            _d),
    });
}).useClassNames;
function TopBar(props) {
    var menuItems = props.menuItems, title = props.title, className = props.className;
    var _a = useNamedState_1.useNamedState("mobileMenuHeight", 0), mobileMenuHeight = _a.mobileMenuHeight, setMobileMenuHeight = _a.setMobileMenuHeight;
    var rootRef = useClickAway_1.useClickAway(function () { return setMobileMenuHeight(0); }).rootRef;
    var titleRef = react_1.useRef(null);
    var menuRef = react_1.useRef(null);
    var _b = useNamedState_1.useNamedState("smallDeviceBreakPoint", getSmallDeviceBreakPoint({ titleRef: titleRef, menuRef: menuRef })), setSmallDeviceBreakPoint = _b.setSmallDeviceBreakPoint, smallDeviceBreakPoint = _b.smallDeviceBreakPoint;
    var toggleMobileMenu = useConstCallback_1.useConstCallback(function () {
        if (mobileMenuHeight !== 0) {
            setMobileMenuHeight(0);
            return;
        }
        var menuItems = document.getElementsByClassName("menu-item");
        var newHeight = (parseInt(getComputedStyle(menuItems[0]).marginTop.replace("px", "")) +
            parseInt(getComputedStyle(menuItems[0]).marginBottom.replace("px", "")) +
            menuItems[0].clientHeight) *
            menuItems.length;
        setMobileMenuHeight(newHeight);
    });
    hooks_1.useEvt(function (ctx) {
        return evt_1.Evt.from(ctx, window, "resize").attach(function () {
            return setSmallDeviceBreakPoint(getSmallDeviceBreakPoint({ menuRef: menuRef, titleRef: titleRef }));
        });
    }, []);
    react_1.useEffect(function () {
        setSmallDeviceBreakPoint(getSmallDeviceBreakPoint({ menuRef: menuRef, titleRef: titleRef }));
    }, []);
    var classNames = useClassNames({
        mobileMenuHeight: mobileMenuHeight,
        smallDeviceBreakPoint: smallDeviceBreakPoint,
    }).classNames;
    return (jsx_runtime_1.jsxs(List_1.default, __assign({ className: tss_react_1.cx(classNames.root, className), component: "nav" }, { children: [jsx_runtime_1.jsx("div", __assign({ ref: titleRef, className: classNames.title }, { children: (function () {
                    if (title === undefined) {
                        return;
                    }
                    if (title.type === "logo") {
                        return jsx_runtime_1.jsx(Logo_1.Logo, { logoUrl: title.logoUrl }, void 0);
                    }
                    return (jsx_runtime_1.jsx(Typography_1.Typography, __assign({ variant: "h3" }, { children: jsx_runtime_1.jsx(react_markdown_1.default, { children: title.markdown }, void 0) }), void 0));
                })() }), void 0),
            jsx_runtime_1.jsx("div", __assign({ ref: menuRef, className: classNames.itemWrapper }, { children: menuItems !== undefined &&
                    menuItems.map(function (item) { return (jsx_runtime_1.jsx(Link_1.default, __assign({ className: tss_react_1.cx(classNames.link, "menu-item"), href: item.url }, { children: item.name }), JSON.stringify(item.name + item.url))); }) }), void 0),
            jsx_runtime_1.jsx("div", __assign({ ref: rootRef, className: classNames.unfold }, { children: jsx_runtime_1.jsx(theme_2.Icon, { id: "dehaze", onClick: toggleMobileMenu }, void 0) }), void 0)] }), void 0));
}
exports.TopBar = TopBar;
//# sourceMappingURL=TopBar.js.map