"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.logCallbacks = exports.getStoryFactory = void 0;
var jsx_runtime_1 = require("react/jsx-runtime");
var react_1 = require("react");
var symToStr_1 = require("tsafe/symToStr");
var onyxia_ui_1 = require("onyxia-ui");
var Box_1 = __importDefault(require("@material-ui/core/Box"));
var Paper_1 = __importDefault(require("@material-ui/core/Paper"));
var id_1 = require("tsafe/id");
require("../assets/fonts/work-sans.css");
var _a = onyxia_ui_1.createThemeProvider({
    "isReactStrictModeEnabled": false,
    "typography": __assign(__assign({}, onyxia_ui_1.defaultTypography), { "fontFamily": '"Work Sans", sans-serif' }),
}), ThemeProvider = _a.ThemeProvider, useTheme = _a.useTheme;
function getStoryFactory(params) {
    var sectionName = params.sectionName, wrappedComponent = params.wrappedComponent;
    var Component = Object.entries(wrappedComponent).map(function (_a) {
        var _b = __read(_a, 2), component = _b[1];
        return component;
    })[0];
    var Template = function (_a) {
        var darkMode = _a.darkMode, props = __rest(_a, ["darkMode"]);
        var setIsDarkModeEnabled = onyxia_ui_1.useIsDarkModeEnabled().setIsDarkModeEnabled;
        react_1.useEffect(function () {
            setIsDarkModeEnabled(darkMode);
        }, [darkMode]);
        var theme = useTheme();
        return (jsx_runtime_1.jsx(ThemeProvider, { children: jsx_runtime_1.jsx(Box_1.default, __assign({ p: 4, style: { "backgroundColor": "white" } }, { children: jsx_runtime_1.jsx(Box_1.default, __assign({ clone: true, p: 4, m: 2, display: "inline-block" }, { children: jsx_runtime_1.jsx(Paper_1.default, __assign({ style: {
                            "backgroundColor": theme.colors.useCases.surfaces.background,
                        } }, { children: jsx_runtime_1.jsx("div", __assign({ style: {
                                "border": "1px dotted " + theme.colors.useCases.typography.textDisabled,
                            } }, { children: jsx_runtime_1.jsx(Component, __assign({}, props), void 0) }), void 0) }), void 0) }), void 0) }), void 0) }, void 0));
    };
    function getStory(props) {
        var out = Template.bind({});
        out.args = __assign({ "darkMode": false }, props);
        return out;
    }
    return {
        "meta": id_1.id({
            "title": sectionName + "/" + symToStr_1.symToStr(wrappedComponent),
            "component": Component,
        }),
        getStory: getStory,
    };
}
exports.getStoryFactory = getStoryFactory;
function logCallbacks(propertyNames) {
    var out = id_1.id({});
    propertyNames.forEach(function (propertyName) { return (out[propertyName] = console.log.bind(console, propertyName)); });
    return out;
}
exports.logCallbacks = logCallbacks;
//# sourceMappingURL=getStory.js.map