/// <reference types="react" />
import "onyxia-ui/assets/fonts/work-sans.css";
declare const ThemeProvider: (props: import("onyxia-ui").ThemeProviderProps) => JSX.Element;
export { ThemeProvider };
export declare const createUseClassNames: <Params extends Record<string, unknown> = {}>() => <Key extends string>(getCssObjects: (theme: import("onyxia-ui").Theme<{
    vsCodeBackground: string;
    focus: {
        main: string;
        light: string;
        light2: string;
    };
    dark: {
        main: string;
        light: string;
        greyVariant1: string;
        greyVariant2: string;
        greyVariant3: string;
        greyVariant4: string;
    };
    light: {
        main: string;
        light: string;
        greyVariant1: string;
        greyVariant2: string;
        greyVariant3: string;
        greyVariant4: string;
    };
    redError: {
        main: string;
        light: string;
    };
    greenSuccess: {
        main: string;
        light: string;
    };
    orangeWarning: {
        main: string;
        light: string;
    };
    blueInfo: {
        main: string;
        light: string;
    };
}, {
    typography: {
        textPrimary: string;
        textSecondary: string;
        textTertiary: string;
        textDisabled: string;
        textFocus: string;
    };
    buttons: {
        actionHoverPrimary: string;
        actionHoverSecondary: string;
        actionHoverTernary: string;
        actionSelected: string;
        actionActive: string;
        actionDisabled: string;
        actionDisabledBackground: string;
    };
    surfaces: {
        background: string;
        surface1: string;
        surface2: string;
    };
    alertSeverity: {
        error: {
            main: string;
            background: string;
        };
        success: {
            main: string;
            background: string;
        };
        warning: {
            main: string;
            background: string;
        };
        info: {
            main: string;
            background: string;
        };
    };
}, {
    fontFamily: "\"Work Sans\", sans-serif";
    h1: {
        readonly fontWeight: "bold";
        readonly fontSize: "60px";
        readonly lineHeight: 1.2;
    };
    h2: {
        readonly fontWeight: "bold";
        readonly fontSize: "36px";
        readonly lineHeight: 1.11;
    };
    h3: {
        readonly fontWeight: 500;
        readonly fontSize: "28px";
        readonly lineHeight: 1.29;
    };
    h4: {
        readonly fontWeight: "bold";
        readonly fontSize: "24px";
        readonly lineHeight: 1.33;
    };
    h5: {
        readonly fontWeight: 600;
        readonly fontSize: "20px";
        readonly lineHeight: 1.2;
    };
    h6: {
        readonly fontWeight: 500;
        readonly fontSize: "20px";
        readonly lineHeight: 1.2;
    };
    subtitle1: {
        readonly fontWeight: 500;
        readonly fontSize: "18px";
        readonly lineHeight: 1.1;
    };
    subtitle2: {
        readonly fontWeight: 500;
        readonly fontSize: "14px";
        readonly lineHeight: 1.2;
    };
    body1: {
        readonly fontWeight: "normal";
        readonly fontSize: "18px";
        readonly lineHeight: 1.1;
    };
    body2: {
        readonly fontWeight: "normal";
        readonly fontSize: "14px";
        readonly lineHeight: 1.1;
    };
    button: {
        readonly fontWeight: 600;
        readonly fontSize: "20px";
        readonly lineHeight: 1.2;
    };
    caption: {
        readonly fontWeight: "normal";
        readonly fontSize: "14px";
        readonly lineHeight: 1;
    };
}, Record<string, never>>, params: Params) => Record<Key, import("@emotion/serialize").CSSObject>) => {
    useClassNames: (params: Params) => {
        classNames: Record<Key, string>;
    };
};
export declare const Icon: import("react").MemoExoticComponent<import("react").ForwardRefExoticComponent<import("onyxia-ui").IconProps<"iconButton" | "brightness4" | "brightness7" | "arrowBackIos" | "arrowForwardIos" | "dehaze" | "brightness1Rounded"> & import("react").RefAttributes<SVGSVGElement>>>;
export declare const IconButton: import("react").MemoExoticComponent<import("react").ForwardRefExoticComponent<import("onyxia-ui").IconButtonProps<"iconButton" | "brightness4" | "brightness7" | "arrowBackIos" | "arrowForwardIos" | "dehaze" | "brightness1Rounded"> & import("react").RefAttributes<HTMLButtonElement>>>;
export declare const Button: import("react").MemoExoticComponent<import("react").ForwardRefExoticComponent<import("onyxia-ui").ButtonProps<"iconButton" | "brightness4" | "brightness7" | "arrowBackIos" | "arrowForwardIos" | "dehaze" | "brightness1Rounded"> & import("react").RefAttributes<HTMLButtonElement>>>;
